Get Llm Configs
curl --request GET \
--url https://api-prod.interactly.ai/workflows/v1/llm-configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.interactly.ai/workflows/v1/llm-configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.interactly.ai/workflows/v1/llm-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"llm_configs": [
{
"name": "<string>",
"config": {
"logical_id": "<string>",
"named_llm_config_id": "<string>",
"named_llm_config_name": "<string>",
"provider": "azure_openai",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"max_tokens": 123,
"temperature": 0.5,
"request_timeout_ms": 123,
"seed": 123,
"model_kwargs": {},
"api_key": "<string>",
"do_not_split_sentences": false,
"truncated_max_recent_messages": 123,
"model": "gpt-5-mini",
"type": "azure_openai_llm",
"endpoint": "<string>",
"api_version": "<string>",
"reasoning_effort": "low"
},
"team_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"llm_config_id": "<string>",
"description": "<string>",
"is_default": false
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}LLM Configs
Get Llm Configs
Endpoint to retrieve LLM configurations for a team, paginated and optionally filtered by a search term matching name, description, or provider.
GET
/
workflows
/
v1
/
llm-configs
Get Llm Configs
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Query Parameters
Number of items per page
Required range:
x >= 1Page number
Required range:
x >= 1Search keywords
Filter by start time (ISO 8601 format)
Filter by end time (ISO 8601 format)
⌘I